import { html as l } from "lit";
import { property as c } from "lit/decorators.js";
import { PieIconComponent as m } from "./PieIconComponent.js";
import { safeCustomElement as h } from "@justeattakeaway/pie-webc-core";
var f = Object.defineProperty, g = Object.getOwnPropertyDescriptor, i = (a, t, o, r) => {
  for (var e = r > 1 ? void 0 : r ? g(t, o) : t, n = a.length - 1, p; n >= 0; n--)
    (p = a[n]) && (e = (r ? p(t, o, e) : p(e)) || e);
  return r && e && f(t, o, e), e;
};
let s = class extends m {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--denmark", this.class = "c-pieIcon c-pieIcon--denmark", this.name = "IconFlagDenmark";
  }
  render() {
    return l`<svg width="${this._svgWidth}" height="${this._svgHeight}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--denmark"><path fill="#EEE" d="M8 15A7 7 0 1 0 8 1a7 7 0 0 0 0 14Z"></path><path fill="#D80027" d="M6.476 7.087h8.463A7 7 0 0 0 8 1a7.027 7.027 0 0 0-1.523.164v5.923Zm-1.823 0V1.85A7.005 7.005 0 0 0 1.06 7.087h3.593Zm0 1.826H1.06a7.005 7.005 0 0 0 3.593 5.236V8.913Zm1.823 0v5.92a7 7 0 0 0 8.463-5.92H6.476Z"></path></svg>`;
  }
};
i([
  c({ type: String, reflect: !0 })
], s.prototype, "size", 2);
i([
  c({ type: String, reflect: !0 })
], s.prototype, "class", 2);
s = i([
  h("icon-flag-denmark")
], s);
export {
  s as IconFlagDenmark
};
